Issue 39897

Summary: Conversion to HTML needlessly throws away information
Product: Writer Reporter: rri0189 <jwkenne>
Component: save-exportAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: trivial    
Priority: P3 CC: issues
Version: OOo 1.1.4   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation on: ---
Developer Difficulty: ---

Description rri0189 2005-01-04 16:20:18 UTC
(The XHTML filter may fix these problems, but on 1.1.4, on Windows, the XHTML
filter is wholly broken--issue 39252--, so I can't tell.)

Both OOo and modern HTML are designed to separate formatting from content. But,
although OOo is aware of CSS, when saving HTML, it frequently discards
information that CSS needs. Formats involving italic, instead of being
implemented as <SPAN CLASS="formatname"> are implemented as <I>. Formats
involving smallcaps, instead of being implemented as <SPAN CLASS="formatname">
are discarded outright, requiring tedious postprocessing with, e.g., NVU to
replace the formatting.
Comment 1 michael.ruess 2005-01-05 07:06:42 UTC
MRU->ES: pls evaluate this RFE.
Comment 2 eric.savary 2005-01-05 07:33:24 UTC
Reassigned
Comment 3 ace_dent 2008-05-16 00:38:54 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 rri0189 2008-05-16 02:55:42 UTC
This issue is much improved since it was raised. I am content with closing it.